### Method

# Gtk Windowset_hide_on_close

#### Declaration [src]

    void
    gtk_window_set_hide_on_close (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

If `setting` is `TRUE`, then clicking the close button on the window will not destroy it, but only hide it.

Sets property | `Gtk.Window:hide-on-close`

#### Parameters

`setting`

  Type: `gboolean`

  Whether to hide the window when it is closed.